<?php
// $Id: taxonomy.inc,v 1.1 2009/10/24 19:08:27 kiam Exp $

/**
 * @file
 * Integration file for forum.module.
 */

/**
 * @addtogroup nodewords
 * @{
 */

/*****************************************************************************
 * Drupal hooks.
 ****************************************************************************/

function taxonomy_nodewords_type_id($arg) {
  if ($arg[0] =='taxonomy') {
    // Taxonomy paths: taxonomy/term/$tid , taxonomy/term/$tid1+$tid2
    if (isset($arg[1]) && isset($arg[2]) && $arg[1] == 'term') {
      $ids = preg_split('![+, ]!', $arg[2]);

      if (count($ids)) {
        // Verify that $ids contains all numeric values.
        foreach ($ids as $id) {
          if (!is_numeric($id)) {
            return array('none', array());
          }
        }
        return array(NODEWORDS_MT_TYPE_TERM, $ids);
      }
    }
  }
}

/**
 * @} End of "addtogroup nodewords".
 */
