<?php
// $Id: taxonomy_menu.inc,v 1.1 2009/10/24 19:08:27 kiam Exp $

/**
 * @file
 * Integration file for forum.module.
 */

/**
 * @addtogroup nodewords
 * @{
 */

/*****************************************************************************
 * Drupal hooks.
 ****************************************************************************/

function taxonomy_menu_nodewords_type_id($arg) {
  if ($arg[0] =='taxonomy_menu') {
    // Taxonomy menu paths: taxonomy_menu/$vid, taxonomy_menu/$vid/$tid
    if (isset($arg[2]) && is_numeric($arg[2])) {
      return array(NODEWORDS_MT_TYPE_TERM, $arg[2]);
    }
    elseif (isset($arg[1]) && is_numeric($arg[1])) {
      return array(NODEWORDS_MT_TYPE_VOCABULARY, $arg[1]);
    }
  }
}

/**
 * @} End of "addtogroup nodewords".
 */
