<?php
// $Id: image.inc,v 1.1 2009/10/24 19:08:27 kiam Exp $

/**
 * @file
 * Integration file for forum.module.
 */

/**
 * @addtogroup nodewords
 * @{
 */

/*****************************************************************************
 * Drupal hooks.
 ****************************************************************************/

function image_nodewords_type_id($arg) {
  if ($arg[0] =='image') {
    // Image gallery paths: image/ , image/???/$tid
    if (!isset($arg[1])) {
      return array(NODEWORDS_MT_TYPE_VOCABULARY, variable_get('image_gallery_nav_vocabulary', 0));
    }
    elseif (isset($arg[2]) && is_numeric($arg[2])) {
      return array(NODEWORDS_MT_TYPE_TERM, $arg[2]);
    }
  }
}

/**
 * @} End of "addtogroup nodewords".
 */
