<?php
// $Id: node.inc,v 1.1 2009/10/24 19:08:27 kiam Exp $

/**
 * @file
 * Integration file for forum.module.
 */

/**
 * @addtogroup nodewords
 * @{
 */

/*****************************************************************************
 * Drupal hooks.
 ****************************************************************************/

function node_nodewords_type_id($arg) {
  if ($arg[0] =='node') {
    // Node paths: node/$nid
    if (isset($arg[1]) && is_numeric($arg[1])) {
      if (!($node = menu_get_object())) {
        return array('none', array());
      }

      // If the meta tags for the content type are disabled, don't show them.
      if (!variable_get('nodewords_edit_metatags_' . $node->type, TRUE)) {
        return array('none', array());
      }

      $bool = (
        (
          $node->type == 'poll' &&
          isset($arg[2]) &&
          in_array($arg[2], array('edit', 'results'))
        ) ||
        !isset($arg[2])
      );

      if ($bool) {
        return array(NODEWORDS_MT_TYPE_NODE, $node->vid);
      }
    }
  }
}

/**
 * @} End of "addtogroup nodewords".
 */
